aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/src/ubuntu/check-integrity.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2023-03-05 16:39:13 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2023-03-05 16:39:13 +0100
commitc05ac5d14afbe70b46bd59f278395533837d59c9 (patch)
treec5efd3665ee7e56f982d35ce61f5247ccad68aaf /src/ubuntu/check-integrity.sh
parentadd some Ubuntu scripts (diff)
downloadaudit-scripts-c05ac5d14afbe70b46bd59f278395533837d59c9.tar.gz
audit-scripts-c05ac5d14afbe70b46bd59f278395533837d59c9.zip
rename Ubuntu scripts
Diffstat (limited to 'src/ubuntu/check-integrity.sh')
-rwxr-xr-xsrc/ubuntu/check-integrity.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/src/ubuntu/check-integrity.sh b/src/ubuntu/check-integrity.sh
new file mode 100755
index 0000000..39e01dd
--- /dev/null
+++ b/src/ubuntu/check-integrity.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
+
+if ! command -v debsums &> /dev/null; then
+ echo 'Where is debsums?' >&2
+ exit 1
+fi
+
+debsums -ca